# $Id: nldict.spec,v 1.5 2008/01/23 23:57:03 ianmacd Exp $

Summary: Queries the on-line Van Dale Hedendaags Nederlands Dutch dictionary.
Name: nldict
Version: 1.0.0
Release: 1
License: GPL
Group: Applications/Ruby
Source: http://www.caliban.org/files/ruby/%{name}-%{version}.tar.gz
URL: http://www.caliban.org/ruby/
Packager: Ian Macdonald <ian@caliban.org>
BuildRoot: /var/tmp/%{name}-%{version}
BuildRequires: ruby
Requires: ruby

%description
nldict is a Ruby interface to the one volume Van Dale "Groot Woordenboek
Hedendaags Nederlands", a renowned dictionary of the modern Dutch language.
 
It can be used to obtain the spelling, grammatical information and definition
of all words in the dictionary.

%description -l nl
nldict wordt gebruikt om woorden op te zoeken in het bekende Van Dale Groot
Woordenboek Hedendaags Nederlands. Zodoende kunnen de spelling, de definities
en de grammaticale uitleg van elke ingang worden geraadpleegd.

%prep
%setup

%clean 
rm -rf $RPM_BUILD_ROOT

%install
rm -rf $RPM_BUILD_ROOT
make PREFIX=$RPM_BUILD_ROOT%{_prefix} install

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    ruby -pe 'sub(%r(^'$RPM_BUILD_ROOT'), "")' > %{name}-%{version}-filelist

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
%doc Changelog COPYING README

%changelog
* Thu Jan 24 2008 Ian Macdonald <ian@caliban.org> 1.0.0-1
- 1.0.0
- Web site changes had once again broken nldict.
- The warning quelled in 0.9.3 was still shown when looking up more than one
  word.
- The Web site now outputs UTF-8, so nldict does this, too.

* Mon Jan  3 2005 Ian Macdonald <ian@caliban.org> 0.9.3-1
- 0.9.3
- A warning issued under Ruby >= 1.8 has been quelled.
- The program now shows its version number when displaying its usage message.
- spec file now has a Dutch language description.

* Sat Apr  5 2003 Ian Macdonald <ian@caliban.org> 0.9.2-1
- 0.9.2
- Web site changes had broken nldict.

* Sat Apr  5 2003 Ian Macdonald <ian@caliban.org> 0.9.1-1
- 0.9.1
- fixed to work with http.rb in Ruby 1.8.

* Fri Apr  4 2003 Ian Macdonald <ian@caliban.org> 0.9.0-1
- 0.9.0 (first release)
